import { Request, Response } from 'express';
import { AdminManualAttendanceDto, AttendanceFilterDto, AttendanceReportFilterDto, CreateQrPointDto, ScanQrAttendanceDto, TeacherCheckInDto, TeacherCheckOutDto, UpdateQrPointDto } from './attendance.dto';
import { AttendanceService } from './attendance.service';
export declare class AttendanceController {
    private readonly service;
    constructor(service: AttendanceService);
    scanQr(body: ScanQrAttendanceDto, owner_id: string, req: Request, ip: string, res: Response): Promise<Response<any, Record<string, any>>>;
    checkIn(body: TeacherCheckInDto, owner_id: string, req: Request, ip: string, res: Response): Promise<Response<any, Record<string, any>>>;
    checkOut(body: TeacherCheckOutDto, owner_id: string, req: Request, ip: string, res: Response): Promise<Response<any, Record<string, any>>>;
    getPrimaryQr(owner_id: string, res: Response): Promise<Response<any, Record<string, any>>>;
    listQrPoints(owner_id: string, res: Response): Promise<Response<any, Record<string, any>>>;
    createQrPoint(body: CreateQrPointDto, owner_id: string, res: Response): Promise<Response<any, Record<string, any>>>;
    updateQrPoint(id: string, body: UpdateQrPointDto, owner_id: string, res: Response): Promise<Response<any, Record<string, any>>>;
    deleteQrPoint(id: string, owner_id: string, res: Response): Promise<Response<any, Record<string, any>>>;
    createOrUpdate(data: AdminManualAttendanceDto, owner_id: string, req: Request, res: Response): Promise<Response<any, Record<string, any>>>;
    getAll(query: AttendanceFilterDto, owner_id: string, req: Request, res: Response): Promise<Response<any, Record<string, any>>>;
    getToday(owner_id: string, query: AttendanceFilterDto, req: Request, res: Response): Promise<Response<any, Record<string, any>>>;
    find(attendanceId: string, owner_id: string, req: Request, res: Response): Promise<Response<any, Record<string, any>>>;
    findByMember(memberId: string, owner_id: string, query: AttendanceFilterDto, req: Request, res: Response): Promise<Response<any, Record<string, any>>>;
    findByTodayMember(memberId: string, date: string, owner_id: string, req: Request, res: Response): Promise<Response<any, Record<string, any>>>;
    getReport(query: AttendanceReportFilterDto, owner_id: string, req: Request, res: Response): Promise<Response<any, Record<string, any>>>;
}
